package cn.com.poc.ai_dialogues.service;

import cn.com.poc.ai_dialogues.query.ProblemAssociationQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_dialogues.entity.BizAiDialoguesProblemAssociationEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizAiDialoguesProblemAssociationService extends BaseService {

    BizAiDialoguesProblemAssociationEntity get(java.lang.Long id) throws Exception;

    List<BizAiDialoguesProblemAssociationEntity> findByExample(BizAiDialoguesProblemAssociationEntity example, PagingInfo pagingInfo) throws Exception;

    BizAiDialoguesProblemAssociationEntity save(BizAiDialoguesProblemAssociationEntity entity) ;

    BizAiDialoguesProblemAssociationEntity update(BizAiDialoguesProblemAssociationEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    List<ProblemAssociationQueryItem> getProblemAssociationList(String question);

}